Skip to content

Create billing credit

Request

Creates a new Billing Credit record. Billing Credit resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
appliedToobject

Entity the credit is currently associated/applied to, if different from availability.

availableToobject

Entity for which this credit is available to be applied.

billingCreditIdstring

Canonical identifier for the billing credit.

Example:"123e4567-e89b-12d3-a456-426614174000"
creditTypestringrequired

Whether the credit is tracked as a quantity (e.g., visits) or a monetary value.

Enum:"quantity""value"
Example:"quantity"
endDatestring

Date on which the credit expires, if applicable.

Example:"2025-01-01"
expiryobject

Relative expiry configuration, if the credit expires after a period.

extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this billing credit is currently active and usable.

Example:true
remainingAmountnumber

Quantity or monetary amount still available for use.

Example:1.23
startDatestring

Date from which the credit becomes valid.

Example:"2025-01-01"
totalAmountnumberrequired

Total quantity or monetary amount originally granted for this credit.

Example:1.23
usedAmountnumber

Quantity or monetary amount that has been used.

Example:1.23
wastedAmountnumber

Quantity or monetary amount that has been wasted or expired without use.

Example:1.23
wellnessPlanBenefitIdstring

Identifier of the wellness plan benefit that generated this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanIdstring

Identifier of the wellness plan that generated this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipCycleIdstring

Identifier of the membership cycle associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipIdstring

Identifier of the wellness plan membership associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipStatusPeriodIdstring

Identifier of the membership status period associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
amountTypeobject(CodeableConceptDto)

Classification of what the credit represents (e.g., visit count, service package, generic monetary credit).

creditCategoryobject(CodeableConceptDto)

Classification of the billing credit (e.g., promotion, refund, goodwill adjustment), represented as a coded concept.

currencyobject(CodeableConceptDto)

Currency in which monetary billing credits are denominated, using a coded concept (e.g., ISO 4217). For quantity-based credits, this may be omitted.

measurementUnitobject(CodeableConceptDto)

Unit or concept describing what the credit quantity or value represents (e.g., 'visit', 'day of boarding', 'grooming session', or a specific service/package code).

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/billing-credit' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "appliedTo": {},
    "availableTo": {},
    "billingCreditId": "123e4567-e89b-12d3-a456-426614174000",
    "creditType": "quantity",
    "endDate": "2025-01-01",
    "expiry": {},
    "extensions": {},
    "isActive": true,
    "remainingAmount": 1.23,
    "startDate": "2025-01-01",
    "totalAmount": 1.23,
    "usedAmount": 1.23,
    "wastedAmount": 1.23,
    "wellnessPlanBenefitId": "123e4567-e89b-12d3-a456-426614174000",
    "wellnessPlanId": "123e4567-e89b-12d3-a456-426614174000",
    "wellnessPlanMembershipCycleId": "123e4567-e89b-12d3-a456-426614174000",
    "wellnessPlanMembershipId": "123e4567-e89b-12d3-a456-426614174000",
    "wellnessPlanMembershipStatusPeriodId": "123e4567-e89b-12d3-a456-426614174000",
    "amountType": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "creditCategory": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "currency": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "measurementUnit": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    }
  }'

Responses

Billing Credit created successfully

Bodyapplication/json
appliedToobjectrequired

Entity the credit is currently associated/applied to, if different from availability.

availableToobjectrequired

Entity for which this credit is available to be applied.

billingCreditIdstringrequired

Canonical identifier for the billing credit.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the billing credit was created.

Example:"2025-01-01T00:00:00.000Z"
creditTypestringrequired

Whether the credit is tracked as a quantity (e.g., visits) or a monetary value.

Enum:"quantity""value"
Example:"quantity"
endDatestring, (date-time)required

Date on which the credit expires, if applicable.

Example:"2025-01-01T00:00:00Z"
expiryobjectrequired

Relative expiry configuration, if the credit expires after a period.

extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this billing credit is currently active and usable.

Example:true
remainingAmountnumberrequired

Quantity or monetary amount still available for use.

Example:1.23
startDatestring, (date-time)required

Date from which the credit becomes valid.

Example:"2025-01-01T00:00:00Z"
totalAmountnumberrequired

Total quantity or monetary amount originally granted for this credit.

Example:1.23
updatedAtstring, (date-time)required

Timestamp when the billing credit was last updated.

Example:"2025-01-01T00:00:00.000Z"
usedAmountnumberrequired

Quantity or monetary amount that has been used.

Example:1.23
wastedAmountnumberrequired

Quantity or monetary amount that has been wasted or expired without use.

Example:1.23
wellnessPlanBenefitIdstringrequired

Identifier of the wellness plan benefit that generated this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanIdstringrequired

Identifier of the wellness plan that generated this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipCycleIdstringrequired

Identifier of the membership cycle associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipIdstringrequired

Identifier of the wellness plan membership associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
wellnessPlanMembershipStatusPeriodIdstringrequired

Identifier of the membership status period associated with this credit, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
amountTypeobject(CodeableConceptDto)required

Classification of what the credit represents (e.g., visit count, service package, generic monetary credit).

creditCategoryobject(CodeableConceptDto)required

Classification of the billing credit (e.g., promotion, refund, goodwill adjustment), represented as a coded concept.

currencyobject(CodeableConceptDto)required

Currency in which monetary billing credits are denominated, using a coded concept (e.g., ISO 4217). For quantity-based credits, this may be omitted.

measurementUnitobject(CodeableConceptDto)required

Unit or concept describing what the credit quantity or value represents (e.g., 'visit', 'day of boarding', 'grooming session', or a specific service/package code).

Response
{ "appliedTo": {}, "availableTo": {}, "billingCreditId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "creditType": "quantity", "endDate": "2025-01-01T00:00:00Z", "expiry": {}, "extensions": {}, "isActive": true, "remainingAmount": 1.23, "startDate": "2025-01-01T00:00:00Z", "totalAmount": 1.23, "updatedAt": "2025-01-01T00:00:00.000Z", "usedAmount": 1.23, "wastedAmount": 1.23, "wellnessPlanBenefitId": "123e4567-e89b-12d3-a456-426614174000", "wellnessPlanId": "123e4567-e89b-12d3-a456-426614174000", "wellnessPlanMembershipCycleId": "123e4567-e89b-12d3-a456-426614174000", "wellnessPlanMembershipId": "123e4567-e89b-12d3-a456-426614174000", "wellnessPlanMembershipStatusPeriodId": "123e4567-e89b-12d3-a456-426614174000", "amountType": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "creditCategory": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "currency": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "measurementUnit": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" } }